%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Heap

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Heap - Perl extensions for keeping data partially sorted.
Name:		perl-%{perlname}
Version:	0.80
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Heap
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
This is a collection of routines for managing a heap data structure.
There are two major components: a heap component, and an element
component.
A heap package basically keeps a collection of elements and is
able to return the smallest one.
The heap component interface is defined in Heap(3) and must be
supported by all heap packages.  Currently there are three heap
components provided:
    Heap::Fibonacci  (the preferred one)
    Heap::Binomial
    Heap::Binary
See the book "Algorithms" by Cormen, Leiserson, and Rivest for
details of the three heap packages.
For more details see: http://search.cpan.org/search?module=Heap

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.80-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.71-2
- rebuild against perl-5.8.8
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.71-1
- Initial Release
